package mvd.jester.simulator;

import java.util.PriorityQueue;
import mvd.jester.priority.PriorityManager;
import mvd.jester.simulator.model.ExtendedSubtaskContext;

public class SubtaskQueue extends PriorityQueue<ExtendedSubtaskContext> {

    private static final long serialVersionUID = 2536224096155380726L;

    public SubtaskQueue(PriorityManager priorityManager) {
        super((s1, s2) -> priorityManager.compare(s1.getJobContext(), s2.getJobContext()));
    }
}
