package mvd.jester.simulator;

import java.util.PriorityQueue;
import mvd.jester.priority.PriorityManager;
import mvd.jester.simulator.model.ThreadContext;

public class ThreadQueue extends PriorityQueue<ThreadContext> {

    private static final long serialVersionUID = -4968780596887106984L;

    public ThreadQueue(PriorityManager priorityManager) {
        super((jc1, jc2) -> priorityManager.compare(jc1.getJobContext(), jc2.getJobContext()));
    }
}
