package mvd.jester.simulator.events;

import mvd.jester.simulator.model.ExtendedSubtaskContext;
import mvd.jester.simulator.model.JobContext;

public abstract class AbstractContextEvent extends AbstractSubtaskEvent {

    private final ExtendedSubtaskContext subtask;

    protected AbstractContextEvent(EventType type, long time, ExtendedSubtaskContext subtask,
            JobContext jobContext) {
        super(type, time, jobContext);
        this.subtask = subtask;
    }

    // @Override
    public ExtendedSubtaskContext getSubtaskContext() {
        return subtask;
    }
}
