package mvd.jester.simulator.model;

import java.util.Optional;
import mvd.jester.model.Task;

/**
 * TaskContextInterface
 */
public interface ITaskContext {

    public Task getTask();

    public Optional<ITaskContext> acceptNotification(long time);

    public Optional<ISubtaskContext> getNextJob();

    public boolean checkRemainingThreads();

    public long getDeadline();

    public long getReleaseTime();
}
